<?php


namespace App\Console\Commands;

use App\Services\ExportData as ServicesExportData;
use Carbon\CarbonImmutable;
use Illuminate\Console\Command;


class ExportData extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'app:export-data';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Execute the console command.
     */
    public function handle()
    {
        // global $modx;

        // define('MODX_API_MODE', true);
        // require_once(base_path("modx/index.php"));

        // /* Ensure log entries are echo-ed straight to the console */
        // $modx->getService('error','error.modError', '', '');
        // $modx->setLogTarget('ECHO');
        // $modx->setLogLevel(\MODX\Revolution\modX::LOG_LEVEL_INFO);

        // // \IonianWeather\WeatherData::makeExport();
        // for ($i=2; $i < 10; $i++) { 
        //     \IonianWeather\WeatherData::makeExport( mktime(5, 0, 0, 6, $i, 2022) );
        // }

        (new ServicesExportData())->process(new CarbonImmutable('2022-06-08'));
        

    }
}
