<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('station_channel', function (Blueprint $table) {
            $table->integer('station_id');
            $table->string('channel_id', 5)->index();
            $table->json('properties')->nullable();

            $table->foreign('station_id')->references('id')->on('stations');
            // $table->foreign('channel_id')->references('id')->on('channels');
        });


    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('station_channel');
    }
};
