<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class WeatherData extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [
            'date' => $this->software_channel_datetime,
            'station' => $this->whenLoaded('station'),
            'data' => @json_decode($this->data, true) ?? [],
        ];
    }
}
